Skip to main content
GET
/
tasks
List tasks
curl --request GET \
  --url https://twill.ai/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "tasks": [
    {
      "id": "<string>",
      "slug": "<string>",
      "title": "<string>",
      "url": "<string>",
      "repositoryUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "latestJobStatus": "PENDING",
      "pr": {
        "url": "<string>",
        "number": 123
      }
    }
  ],
  "nextCursor": "<string>"
}
List tasks with optional pagination (cursor) and filtering (status).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Number of tasks to return (max: 100).

Required range: 1 <= x <= 100
cursor
string

Pagination cursor returned by a previous list call.

Response

Tasks list

tasks
object[]
required
nextCursor
string | null
required